Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genericasync.builders.impl
Class RequestObjectBuilderImpl

    java.lang.Object
      be.ehealth.businessconnector.genericasync.builders.impl.RequestObjectBuilderImpl

All Implemented Interfaces:
  RequestObjectBuilder, ConfigurableImplementation

    public class RequestObjectBuilderImpl

extends Object
implements RequestObjectBuilder

Implementation for the `RequestObjectBuilder` interface

Field Summary
`static String` | `GENERICASYNC`

Constructor Summary
`RequestObjectBuilderImpl()`

Method Summary
`Confirm` | `buildConfirmRequest(OrigineType origin, List<MsgResponse> msgResponses, List<TAckResponse> tackResponses)` Builds a Confirm request from given parameters
`Confirm` | `buildConfirmRequestWithHashes(OrigineType origin, List<byte[]> msgHashValues, List<byte[]> tackContents)` Builds a Confirm request from given parameters
`Confirm` | `buildConfirmWithReferences(OrigineType origin, GetResponse getResponse)` Builds a Confirm request, using references as tAck as message identifiers
`Get` | `buildGetRequest(OrigineType origin, MsgQuery msgQuery, Query tackQuery)` Builds a Get request from given parameters
`Get` | `buildGetRequest(OrigineType origin, MsgQuery msgQuery, Query tackQuery, byte[] replyToEtk)`
`Get` | `buildGetRequest(OrigineType origin, MsgQuery msgQuery, Query tackQuery, QueryParameters queryParameters)`
`Get` | `buildGetRequest(OrigineType origin, MsgQuery msgQuery, Query tackQuery, QueryParameters queryParameters, byte[] replyToEtk)`
`Post` | `buildPostRequest(CommonInput commonInput, Blob blob, byte[] xades)` Builds a Post request from given parameters
`Post` | `buildPostRequest(String projectName, PostContent postContent)` Builds a Post request from given parameters
`Post` | `buildPostRequest(String messageName, String projectName, String platformName, byte[] xmlByteArray, InputReference inputReference)`
`Post` | `buildPostRequest(String messageName, String projectName, String platformName, ConfigName configName, byte[] xmlByteArray, InputReference inputReference)`
`Post` | `buildPostRequest(String messageName, String projectName, String platformName, ConfigName configName, byte[] xmlByteArray, InputReference inputReference, String messageVersion)`
`Post` | `buildPostRequest(String messageName, String projectName, String platformName, Object object, String schemaLocation, InputReference inputReference)`
`MsgQuery` | `createMsgQuery(Integer max, Boolean include, String... messageNames)` convenience builder for `MsgQuery`
`Query` | `createQuery(Integer max, Boolean include)` O creates the `Query` object.
`void` | `initialize(Map<String,Object> parameterMap)` initializes the implementation with additional parameters.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GENERICASYNC

    public static final String GENERICASYNC

See Also:
  Constant Field Values

Constructor Detail

### RequestObjectBuilderImpl

    public RequestObjectBuilderImpl()

Method Detail

### buildPostRequest

    public final Post buildPostRequest(CommonInput commonInput,
                                       Blob blob,
                                       byte[] xades)

  Description copied from interface: `RequestObjectBuilder`
  Builds a Post request from given parameters

  Specified by:
    `buildPostRequest` in interface `RequestObjectBuilder`
  Parameters:
    `commonInput` - the common input
    `blob` - the details of the transaction
    `xades` - the xades
  Returns:
    the Post object

### buildPostRequest

    public final Post buildPostRequest(String projectName,
                                       PostContent postContent)
                                throws TechnicalConnectorException

  Description copied from interface: `RequestObjectBuilder`
  Builds a Post request from given parameters

  Specified by:
    `buildPostRequest` in interface `RequestObjectBuilder`
  Parameters:
    `projectName` - the name of the connector project
    `postContent` - a pojo holding the post parameters
  Returns:
    the Post object
  Throws:
    `TechnicalConnectorException`

### buildGetRequest

    public final Get buildGetRequest(OrigineType origin,
                                     MsgQuery msgQuery,
                                     Query tackQuery)

  Description copied from interface: `RequestObjectBuilder`
  Builds a Get request from given parameters

  Specified by:
    `buildGetRequest` in interface `RequestObjectBuilder`
  Parameters:
    `origin` - the origin
    `msgQuery` - the message query
    `tackQuery` - the tack query
  Returns:
    the Get object
  See Also:
    `RequestObjectBuilder.buildGetRequest(be.cin.mycarenet.esb.common.v2.OrigineType, be.cin.nip.async.generic.MsgQuery, be.cin.nip.async.generic.Query)`

### buildGetRequest

    public final Get buildGetRequest(OrigineType origin,
                                     MsgQuery msgQuery,
                                     Query tackQuery,
                                     QueryParameters queryParameters)

  Specified by:
    `buildGetRequest` in interface `RequestObjectBuilder`

### buildGetRequest

    public final Get buildGetRequest(OrigineType origin,
                                     MsgQuery msgQuery,
                                     Query tackQuery,
                                     QueryParameters queryParameters,
                                     byte[] replyToEtk)

  Specified by:
    `buildGetRequest` in interface `RequestObjectBuilder`

### buildGetRequest

    public final Get buildGetRequest(OrigineType origin,
                                     MsgQuery msgQuery,
                                     Query tackQuery,
                                     byte[] replyToEtk)

  Specified by:
    `buildGetRequest` in interface `RequestObjectBuilder`

### buildConfirmRequest

    public final Confirm buildConfirmRequest(OrigineType origin,
                                             List<MsgResponse> msgResponses,
                                             List<TAckResponse> tackResponses)
                                      throws TechnicalConnectorException,
                                             DataFormatException

  Description copied from interface: `RequestObjectBuilder`
  Builds a Confirm request from given parameters

  Specified by:
    `buildConfirmRequest` in interface `RequestObjectBuilder`
  Parameters:
    `origin` - the origin
    `msgResponses` - the list of messages responses (from the get response)
    `tackResponses` - tackContents the tack contents (from the get response)
  Returns:
    the Confirm object
  Throws:
    `TechnicalConnectorException`
    `DataFormatException` - if an error occurs while decompressing the blob
  See Also:
    `RequestObjectBuilder.buildConfirmRequest(be.cin.mycarenet.esb.common.v2.OrigineType, java.util.List, java.util.List)`

### buildConfirmRequestWithHashes

    public Confirm buildConfirmRequestWithHashes(OrigineType origin,
                                                 List<byte[]> msgHashValues,
                                                 List<byte[]> tackContents)

  Builds a Confirm request from given parameters

  Specified by:
    `buildConfirmRequestWithHashes` in interface `RequestObjectBuilder`
  Parameters:
    `origin` -
    `msgHashValues` -
    `tackContents` -
  Returns:

### buildConfirmWithReferences

    public Confirm buildConfirmWithReferences(OrigineType origin,
                                              GetResponse getResponse)

  Description copied from interface: `RequestObjectBuilder`
  Builds a Confirm request, using references as tAck as message identifiers

  Specified by:
    `buildConfirmWithReferences` in interface `RequestObjectBuilder`
  Parameters:
    `origin` - the origin of the confirm
    `getResponse` - the response of the get for which we want to confirm tAck and messages
  Returns:

### createQuery

    public Query createQuery(Integer max,
                             Boolean include)

  Description copied from interface: `RequestObjectBuilder`
  O creates the `Query` object.

  Specified by:
    `createQuery` in interface `RequestObjectBuilder`
  Parameters:
    `max` - maximum number of tack results
    `include` - set to false if no responses should be returned, the default value is 'true'
  Returns:
    `Query`
  See Also:
    `RequestObjectBuilder.createQuery(java.lang.Integer, java.lang.Boolean)`

### createMsgQuery

    public MsgQuery createMsgQuery(Integer max,
                                   Boolean include,
                                   String... messageNames)

  Description copied from interface: `RequestObjectBuilder`
  convenience builder for `MsgQuery`

  Specified by:
    `createMsgQuery` in interface `RequestObjectBuilder`
  Parameters:
    `max` - maximum number of tack results
    `include` - set to false if no responses should be returned, the default value is 'true'
    `messageNames` - indicate the message types to receive, if no names are given , all messages for careProvider will be returned
  Returns:
    `MsgQuery`
  See Also:
    `RequestObjectBuilder.createMsgQuery(java.lang.Integer, java.lang.Boolean, java.lang.String[])`

### initialize

    public void initialize(Map<String,Object> parameterMap)
                    throws TechnicalConnectorException

  Description copied from interface: `ConfigurableImplementation`
  initializes the implementation with additional parameters.

  Specified by:
    `initialize` in interface `ConfigurableImplementation`
  Parameters:
    `parameterMap` - Map with for each propertyString ,the input parameter as Object.
  Throws:
    `TechnicalConnectorException` - if the parameterMap is not correct.
  See Also:
    `ConfigurableImplementation.initialize(java.util.Map)`

### buildPostRequest

    public Post buildPostRequest(String messageName,
                                 String projectName,
                                 String platformName,
                                 Object object,
                                 String schemaLocation,
                                 InputReference inputReference)
                          throws TechnicalConnectorException

  Specified by:
    `buildPostRequest` in interface `RequestObjectBuilder`
  Throws:
    `TechnicalConnectorException`

### buildPostRequest

    public Post buildPostRequest(String messageName,
                                 String projectName,
                                 String platformName,
                                 byte[] xmlByteArray,
                                 InputReference inputReference)
                          throws TechnicalConnectorException

  Specified by:
    `buildPostRequest` in interface `RequestObjectBuilder`
  Throws:
    `TechnicalConnectorException`

### buildPostRequest

    public Post buildPostRequest(String messageName,
                                 String projectName,
                                 String platformName,
                                 ConfigName configName,
                                 byte[] xmlByteArray,
                                 InputReference inputReference)
                          throws TechnicalConnectorException

  Specified by:
    `buildPostRequest` in interface `RequestObjectBuilder`
  Throws:
    `TechnicalConnectorException`

### buildPostRequest

    public Post buildPostRequest(String messageName,
                                 String projectName,
                                 String platformName,
                                 ConfigName configName,
                                 byte[] xmlByteArray,
                                 InputReference inputReference,
                                 String messageVersion)
                          throws TechnicalConnectorException

  Specified by:
    `buildPostRequest` in interface `RequestObjectBuilder`
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.